Red Hat Training

A Red Hat training course is available for Red Hat Linux

Chapter 6. General Updates

MySQL 5.1 and MySQL 5.5

Red Hat Enterprise Linux 5.10 provides updated versions, specifically versions 5.1 and 5.5, of the MySQL packages as software collections. In order to migrate from MySQL 5.0 to 5.5, you must first update to MySQL 5.1. Note that the MySQL 5.1 packages are not supported and are provided only for the purposes of migration to MySQL 5.5. You should not use MySQL 5.1 on any of your production systems. For more information on the migration from MySQL 5.0 to MySQL 5.5, refer to chapter Migrating from MySQL 5.0 to MySQL 5.5 in the Red Hat Enterprise Linux 5 Deployment Guide at https://access.redhat.com/site/documentation/Red_Hat_Enterprise_Linux/.
As a result of this update, Red Hat will not issue any more security advisories for the MySQL 5.0 packages (mysql-5.0.* and related packages). Security advisories will be provided only for MySQL 5.5.

New gcc-libraries Package

A new gcc-libraries package, which includes the libitm library and a new libatomic library, is now included in Red Hat Enterprise Linux 5.10. In Red Hat Enterprise Linux 5.9, libitm was a separate package that included the libitm library. The libitm package is now deprecated and replaced by the gcc-libraries package.